PlatformAutoDiscoveryForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.platform.autodiscovery.PlatformAutoDiscoveryForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.platform.autodiscovery
Class PlatformAutoDiscoveryForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.CalendarForm
                      org.hyperic.hq.ui.action.ScheduleForm
                          org.hyperic.hq.ui.action.resource.ResourceForm
                              org.hyperic.hq.ui.action.resource.platform.autodiscovery.PlatformAutoDiscoveryForm

All Implemented Interfaces:
  java.io.Serializable

    public class PlatformAutoDiscoveryForm

extends ResourceForm

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.ui.action.ScheduleForm
`END_NEVER, END_ON_DATE, EVERY_DAY, EVERY_WEEKDAY, ON_DAY, ON_EACH, RECUR_DAILY, RECUR_MONTHLY, RECUR_NEVER, RECUR_WEEKLY, START_NOW, START_ON_DATE`

Fields inherited from class org.hyperic.hq.ui.action.CalendarForm
`AM, PM`

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`PlatformAutoDiscoveryForm()`

Method Summary
`void` | `buildConfigOptions(ConfigSchema schema, ConfigResponse resp)`
`void` | `checkServerTypes(java.util.List sTypes1)` select all the server types for creating new auto-discovery
`static AppdefResourceTypeValue` | `findResourceTypeValue(ServerTypeValue[] serverTypeVals, java.lang.Integer id)` find a ServerTypeValue object from a list of serverTypeVals.
`java.util.List` | `getConfigOptions()`
`java.lang.Integer` | `getConfigOptionsCount()`
`java.lang.String` | `getDescription()` Returns the description.
`protected java.util.Calendar` | `getInitStartTime()`
`java.lang.String` | `getName()` Returns the name.
`java.lang.String` | `getScanMethod()`
`org.apache.struts.util.ImageButtonBean` | `getScheduleTypeChange()`
`java.lang.Integer[]` | `getSelectedServerTypeIds()`
`java.util.List` | `getSelectedServerTypes(ServerTypeValue[] serverTypeVals)` build a list of ServerTypeValue objects from a list of ids selected in the form
`java.lang.Integer[]` | `getServerTypeId()`
`java.util.Collection` | `getServerTypes()`
`java.util.ArrayList` | `getServerTypesLB()`
`boolean` | `isScheduleTypeChgSelected()`
`void` | `setDescription(java.lang.String desc)` Sets the description.
`void` | `setName(java.lang.String name)` sets the name.
`void` | `setScanMethod(java.lang.String name)`
`void` | `setScheduleTypeChange(org.apache.struts.util.ImageButtonBean bean)`
`void` | `setSelectedServerTypeIds(java.lang.Integer[] selectedServerTypes)`
`void` | `setServerTypeId(java.lang.Integer[] serverTypeId)`
`void` | `setServerTypes(AppdefResourceTypeValue[] serverTypes)` build up a list of label beans of serverType.names as label and server type id as value
`void` | `setServerTypesLB(java.util.ArrayList serverTypesLB)`
`org.apache.struts.action.ActionErrors` | `validate(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)` This validate method tries to over-ride the validate method.

Methods inherited from class org.hyperic.hq.ui.action.resource.ResourceForm
`getAetid, getEid, getLocation, getResourceType, getResourceTypes, getRid, getType, isCanModify, loadResourceValue, reset, setAetid, setCanModify, setEid, setLocation, setResourceType, setResourceTypes, setRid, setType, toString, updateResourceValue`

Methods inherited from class org.hyperic.hq.ui.action.ScheduleForm
`createSchedule, getControlActions, getEachDay, getEndTime, getIsNow, getMonthlyRecurrenceDay, getNumControlActions, getNumDays, getNumMonths, getNumWeeks, getRecurInterval, getRecurrenceDay, getRecurrenceFrequencyDaily, getRecurrenceFrequencyMonthly, getRecurrenceWeek, getStartTime, populateFromSchedule, setControlActions, setEachDay, setEndTime, setMonthlyRecurrenceDay, setNumControlActions, setNumDays, setNumMonths, setNumWeeks, setRecurInterval, setRecurrenceDay, setRecurrenceFrequencyDaily, setRecurrenceFrequencyMonthly, setRecurrenceWeek, setStartTime`

Methods inherited from class org.hyperic.hq.ui.action.CalendarForm
`calcHour, getEndAmPm, getEndDate, getEndDay, getEndHour, getEndMin, getEndMonth, getEndYear, getStartAmPm, getStartDate, getStartDay, getStartHour, getStartMin, getStartMonth, getStartYear, getWantEndDate, getYearOptions, populateEndDate, populateStartDate, setEndAmPm, setEndDay, setEndHour, setEndMin, setEndMonth, setEndYear, setStartAmPm, setStartDay, setStartHour, setStartMin, setStartMonth, setStartYear, setWantEndDate, shouldValidateDateRange, validateDateRange`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlatformAutoDiscoveryForm

    public PlatformAutoDiscoveryForm()

Method Detail

### getName

    public java.lang.String getName()

  Description copied from class: `ResourceForm`
  Returns the name.

  Overrides:
    `getName` in class `ResourceForm`
  Returns:
    String

### setName

    public void setName(java.lang.String name)

  Description copied from class: `ResourceForm`
  sets the name.

  Overrides:
    `setName` in class `ResourceForm`

### getDescription

    public java.lang.String getDescription()

  Description copied from class: `ResourceForm`
  Returns the description.

  Overrides:
    `getDescription` in class `ResourceForm`
  Returns:
    String

### setDescription

    public void setDescription(java.lang.String desc)

  Description copied from class: `ResourceForm`
  Sets the description.

  Overrides:
    `setDescription` in class `ResourceForm`
  Parameters:
    `desc` - The description to set

### getSelectedServerTypeIds

    public java.lang.Integer[] getSelectedServerTypeIds()

### setSelectedServerTypeIds

    public void setSelectedServerTypeIds(java.lang.Integer[] selectedServerTypes)

### isScheduleTypeChgSelected

    public boolean isScheduleTypeChgSelected()

### getServerTypes

    public java.util.Collection getServerTypes()

  Returns:
    Collection of LabelValueBean representing the ServerTypeValue

### setServerTypes

    public void setServerTypes(AppdefResourceTypeValue[] serverTypes)

  build up a list of label beans of serverType.names as label and server type id as value

### getInitStartTime

    protected java.util.Calendar getInitStartTime()

  Overrides:
    `getInitStartTime` in class `CalendarForm`
  Returns:
    an initial current time to 5 minutes in the future

### getSelectedServerTypes

    public java.util.List getSelectedServerTypes(ServerTypeValue[] serverTypeVals)

  build a list of ServerTypeValue objects from a list of ids selected in the form

### findResourceTypeValue

    public static AppdefResourceTypeValue findResourceTypeValue(ServerTypeValue[] serverTypeVals,
                                                                java.lang.Integer id)

  find a ServerTypeValue object from a list of serverTypeVals.

### checkServerTypes

    public void checkServerTypes(java.util.List sTypes1)

  select all the server types for creating new auto-discovery

### getServerTypeId

    public java.lang.Integer[] getServerTypeId()

### setServerTypeId

    public void setServerTypeId(java.lang.Integer[] serverTypeId)

### getServerTypesLB

    public java.util.ArrayList getServerTypesLB()

### setServerTypesLB

    public void setServerTypesLB(java.util.ArrayList serverTypesLB)

### validate

    public org.apache.struts.action.ActionErrors validate(org.apache.struts.action.ActionMapping mapping,
                                                          javax.servlet.http.HttpServletRequest request)

  This validate method tries to over-ride the validate method.

  Overrides:
    `validate` in class `ResourceForm`

### getConfigOptions

    public java.util.List getConfigOptions()

### getConfigOptionsCount

    public java.lang.Integer getConfigOptionsCount()

### buildConfigOptions

    public void buildConfigOptions(ConfigSchema schema,
                                   ConfigResponse resp)

### getScanMethod

    public java.lang.String getScanMethod()

### setScanMethod

    public void setScanMethod(java.lang.String name)

### getScheduleTypeChange

    public org.apache.struts.util.ImageButtonBean getScheduleTypeChange()

### setScheduleTypeChange

    public void setScheduleTypeChange(org.apache.struts.util.ImageButtonBean bean)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.